Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class TreeNodeImpl

    java.lang.Object
      org.richfaces.model.TreeNodeImpl

All Implemented Interfaces:
  TreeNode

    public class TreeNodeImpl

extends java.lang.Object
implements TreeNode

Author:
  Nick Belaevski

Constructor Summary
`TreeNodeImpl()`
`TreeNodeImpl(boolean leaf)`

Method Summary
`void` | `addChild(java.lang.Object key, TreeNode child)`
`TreeNode` | `getChild(java.lang.Object key)`
`java.util.Iterator<java.lang.Object>` | `getChildrenKeysIterator()`
`int` | `indexOf(java.lang.Object key)`
`void` | `insertChild(int idx, java.lang.Object key, TreeNode child)`
`boolean` | `isLeaf()`
`void` | `removeChild(java.lang.Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeNodeImpl

    public TreeNodeImpl()

### TreeNodeImpl

    public TreeNodeImpl(boolean leaf)

Method Detail

### addChild

    public void addChild(java.lang.Object key,
                         TreeNode child)

  Specified by:
    `addChild` in interface `TreeNode`

### insertChild

    public void insertChild(int idx,
                            java.lang.Object key,
                            TreeNode child)

  Specified by:
    `insertChild` in interface `TreeNode`

### removeChild

    public void removeChild(java.lang.Object key)

  Specified by:
    `removeChild` in interface `TreeNode`

### getChild

    public TreeNode getChild(java.lang.Object key)

  Specified by:
    `getChild` in interface `TreeNode`

### getChildrenKeysIterator

    public java.util.Iterator<java.lang.Object> getChildrenKeysIterator()

  Specified by:
    `getChildrenKeysIterator` in interface `TreeNode`

### indexOf

    public int indexOf(java.lang.Object key)

  Specified by:
    `indexOf` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.